## ros-kinetic-seed-r7-ros-pkg 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(seed_r7_ros_pkg)

find_package(catkin REQUIRED)

catkin_metapackage()

=== debian/changelog ===
ros-kinetic-seed-r7-ros-pkg (0.3.4-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- hi.kondo <hi.kondo@thk.co.jp>  Mon, 16 Dec 2019 06:32:07 -0000

ros-kinetic-seed-r7-ros-pkg (0.3.3-1xenial) xenial; urgency=high

  * Merge branch 'master' into add_test
  * Update CMakeLists.txt
  * toplevel added
  * Contributors: hi-kondo

 -- hi.kondo <hi.kondo@thk.co.jp>  Tue, 03 Dec 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-seed-r7-ros-pkg
Section: misc
Priority: optional
Maintainer: hi.kondo <hi.kondo@thk.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-seed-r7-bringup, ros-kinetic-seed-r7-description, ros-kinetic-seed-r7-moveit-config, ros-kinetic-seed-r7-navigation, ros-kinetic-seed-r7-robot-interface, ros-kinetic-seed-r7-ros-controller, ros-kinetic-seed-r7-samples, ros-kinetic-seed-r7-typef-moveit-config
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-seed-r7-ros-pkg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-seed-r7-bringup, ros-kinetic-seed-r7-description, ros-kinetic-seed-r7-moveit-config, ros-kinetic-seed-r7-navigation, ros-kinetic-seed-r7-robot-interface, ros-kinetic-seed-r7-ros-controller, ros-kinetic-seed-r7-samples, ros-kinetic-seed-r7-typef-moveit-config
Description: The seed_r7_ros_pkg package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-seed-r7-ros-pkg//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
